/* eslint-disable no-undef */
/* eslint-disable quotes */
/* eslint-disable indent */
/**
 *
 * ApproveUsersProfile
 *
 */

import cn from 'classnames';
import React, { useEffect, useState } from 'react';
import { FormattedMessage } from 'react-intl';
import { auth, Button, LoadingIndicatorPage, PluginHeader } from 'strapi-helper-plugin';
// Design
import PageTitle from '../../components/PageTitle';
import styles from './styles.css';




async function handleApi(action, url, params) {
  const link = url;    
  const headersData = new Headers();
  headersData.append("Authorization", `Bearer ${auth.getToken()}`);

  const formData = new FormData();
  for (let key in params) {
      formData.append(key, params[key]);
  }

  const response = await fetch(link, {
    method: action,
    headers: headersData,
    body: action === 'POST' ? formData : undefined,
  });
  const data = await response.json();
  if (data.statusCode) {
    throw data;
  } else {
    return data;
  }
}
const ApproveUsersProfile = ({ isLoading, history, }) => {

  const [usersProfiles, setUsersProfiles] = useState([]);
  const loadUsersProfiles = () => {
    handleApi('GET', "/profilechanges", {})
      .then(usersProfiles => {
        setUsersProfiles(usersProfiles);
      }).catch(callback => {
        console.log("ERROR");
        console.log(callback);
      });
  };
  useEffect(() => {
    loadUsersProfiles();
  }, []);

  const renderHelmet = message => <PageTitle title={message} />;
  // const onTest(test) {
  //   this.setState({
  //     test,
  //   })
  // }

  if (isLoading) {
    return <LoadingIndicatorPage />;
  }
  const renderMedia = mediaArray => {
    if (mediaArray && mediaArray.url) {
      const media = mediaArray;
      const type = media.mime.split('/')[0];
      const { url } = media;
      if (type === "video") {
        return <video width="180px" controls>
          <source src={url} type={media.mime} />
          No support for video tag
          </video>;
      } else if (type === "image") {
        return <a href={url} target="_blank"><img src={url} width="180px" style={{
          objectFit: "contain",
        }} />
        </a>;
      }
      return undefined;
    }
    return undefined;
  };
  const onApprove = (id) => {
    handleApi('GET', `/profilechanges/approve/${id}`, {}).then(() => {
      loadUsersProfiles();
    }).catch(callback => {
      console.log("Error", callback);
    });
  };
  const onDelete = (id) => {

    handleApi('POST', `/profilechanges/remove`, {
      id,
    }).then(() => {
      loadUsersProfiles();
    }).catch(callback => {
      console.log("Error", callback);
    });
  };

  const onPressUsersProfile = (id) => {
    history.push(`/plugins/content-manager/collectionType/plugins::users-permissions.user/${id}`); ///plugins/content-manager/user/${id}?source=users-permissions
  };
  return (
    <div>
      <FormattedMessage id="usersProfile.approval.helmet" defaultMessage="UsersProfile approval" >
        {renderHelmet}
      </FormattedMessage>
      <div className={cn('container-fluid', styles.containerFluid)}>

        <PluginHeader
          title="UsersProfile approval"
          description="Approve usersProfile for zingr app"
          actions={[]}
        />
        <div className="row" style={{
          paddingTop: "30px",
        }}>
          <div className="col-12">
            <table className="postListTable">
              <thead className="postListHead">
                <th>Username</th>
                <th>Media</th>
                <th>Approve</th>
                <th>Delete</th>
              </thead>
              <tbody>
                {usersProfiles.map(usersProfile => {
                  console.log(usersProfile);
                  if(!usersProfile.user) return false;
                  return <tr className="postListEntry">
                    <td  onClick={() => onPressUsersProfile(usersProfile.user && usersProfile.user.id)}>{usersProfile.user && usersProfile.user.username}</td>
                    <td>{renderMedia(usersProfile.photo)}</td>
                    <td><Button label="Approve" kind="primaryAddShape" primary={true} primaryAddShape={true} onClick={(e) => {
                      e.preventDefault();
                      e.stopPropagation();
                      onApprove(usersProfile.user.id);
                    }} /></td>
                    <td><Button label="app.utils.delete" kind="delete" primary={true} primaryAddShape={true} onClick={(e) => {
                      e.preventDefault();
                      e.stopPropagation();
                      onDelete(usersProfile.id);
                    }} /></td>
                  </tr>;
                })}
              </tbody>
            </table>
          </div>
        </div>
        {/* <input type="text" onChange={e => this.onTest(e.target.value)} />
          <button value="" name="Ok" onClick={() => this.loadTest()} /> */}
      </div>
    </div>
  );
};


export default ApproveUsersProfile;
