'use strict';

/**
 * Read the documentation () to implement custom controller functions
 */
const {
  sanitizeEntity
} = require('strapi-utils');

module.exports = {
  createBan: async ctx => {
    const user = ctx.state.user.id;
    const {
      banned,
    } = ctx.request.body;
    return ctx.send(await strapi.query('ban').create({
      banned,
      user,
    }));
  },
  getBans: async ctx => {
    const user = ctx.state.user.id;
    const bans = await strapi.query('ban').find({
      user,
    });

    return ctx.send(bans.map(ban => {
      const {
        banned: {
          username,
          name,
          photo,
          id
        }
      } = sanitizeEntity(ban, {
        model: strapi.models.ban
      });
      return {
        username,
        name,
        photo: photo ? {
          url: photo.url,
        } : null,
        id
      };
    }));
  },
  removeBan: async ctx => {
    const user = ctx.state.user.id;
    const {
      banned,
    } = ctx.request.body;
    const ban1 = await strapi.query('ban').findOne({
      banned,
      user,
    });
    const ban = await strapi.query('ban').delete({
      banned,
      user,
    });
    return ctx.send(ban);
  },

};
